Summary: A mouse server for the Linux console.
Name: gpm
Version: 1.19.1
Release: 0.4.2
Copyright: GPL
Group: System Environment/Daemons
Source: ftp://animal.unipv.it/pub/gpm/gpm-%{version}.tar.gz
Source1: gpm.init
Patch0: gpm-nops.patch
Patch2: gpm-1.17.5-docfix.patch
Patch3: gpm-nonroot.patch
Patch4: gpm-root.patch
Patch5: gpm-1.19.1-nouref.patch
Prereq: /sbin/ldconfig
%ifarch i386
Prereq: /usr/bin/install-info
%endif
# this defines the library version that this package builds.
%define LIBVER 1.18.0
BuildRoot: /var/tmp/%{name}-root

%description
Gpm provides mouse support to text-based Linux applications like the
Emacs editor and the Midnight Commander file management system.  Gpm
also provides console cut-and-paste operations using the mouse and
includes a program to allow pop-up menus to appear at the click of a
mouse button.

Gpm should be installed if you intend to use a mouse with your Red Hat
Linux system.

%package devel
Requires: gpm
Summary: Libraries and header files for developing mouse driven programs.
Group: Development/Libraries

%description devel
The gpm-devel program contains the libraries and header files needed
for the development of mouse driven programs for the console.  This
package allows you to develop text-mode programs which use the mouse.

Install gpm-devel if you need to develop text-mode programs which will
use the mouse.  You'll also need to install the gpm package.

%prep
%setup -q
%patch0 -p1 -b .nops
%patch2 -p1 -b .docfix
%patch3 -p1 -b .nonroot
%patch4 -p1 -b .root
%patch5 -p1

%build
autoconf
CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS" \
    lispdir=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp 
    ./configure \
	--prefix=/usr \
	--sysconfdir=/etc

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc

PATH=/sbin:$PATH:/usr/sbin:$PATH

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
make prefix=$RPM_BUILD_ROOT/usr \
    lispdir=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp \
    install-strip

install -m644 doc/gpm-root.1 $RPM_BUILD_ROOT/usr/man/man1
install -m644 gpm-root.conf $RPM_BUILD_ROOT/etc
install -s -m755 hltest $RPM_BUILD_ROOT/usr/bin
make t-mouse.el t-mouse.elc
cp t-mouse.el* $RPM_BUILD_ROOT/usr/share/emacs/site-lisp

{
  pushd $RPM_BUILD_ROOT
  ln -sf libgpm.so.%{LIBVER} ./usr/lib/libgpm.so
  gzip -9nf ./usr/info/gpm.info*
  popd
}

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d  
install -m 755 $RPM_SOURCE_DIR/gpm.init $RPM_BUILD_ROOT/etc/rc.d/init.d/gpm

strip $RPM_BUILD_ROOT/usr/lib/*.so.* || :

# Stupid 4.2 compatibility links
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc{0,1,2,3,5,6}.d
for file in rc0.d/K15gpm rc1.d/K15gpm rc2.d/S85gpm \
	rc3.d/S85gpm rc5.d/S85gpm rc6.d/K15gpm ; do
    ln -s ../init.d/gpm $RPM_BUILD_ROOT/etc/rc.d/$file
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
# /sbin/chkconfig --add gpm
/sbin/ldconfig
%ifarch i386
/usr/bin/install-info /usr/info/gpm.info.gz /usr/info/dir
%endif

%preun
if [ $1 = 0 ]; then
%ifarch i386
     /usr/bin/install-info /usr/info/gpm.info.gz --delete /usr/info/dir
%endif
#    /sbin/chkconfig --del gpm
#fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config /etc/gpm-root.conf

#%ifarch sparc
#%config /etc/sysconfig/mouse
#%endif

#%attr(0755,root,root)	/usr/bin/disable-paste
/usr/bin/mev
/usr/bin/gpm-root
/usr/bin/hltest
/usr/sbin/gpm
/usr/share/emacs/site-lisp/t-mouse.el
/usr/share/emacs/site-lisp/t-mouse.elc
/usr/info/gpm.info*
/usr/man/man1/mev.1*
/usr/man/man1/gpm-root.1*
/usr/man/man8/gpm.8*
/usr/lib/libgpm.so.%{LIBVER}
%config /etc/rc.d/init.d/gpm
%config(missingok) /etc/rc.d/rc0.d/K15gpm
%config(missingok) /etc/rc.d/rc1.d/K15gpm
%config(missingok) /etc/rc.d/rc2.d/S85gpm
%config(missingok) /etc/rc.d/rc3.d/S85gpm
%config(missingok) /etc/rc.d/rc5.d/S85gpm
%config(missingok) /etc/rc.d/rc6.d/K15gpm

%files devel
%defattr(-,root,root)
/usr/lib/libgpm.a
/usr/include/gpm.h
/usr/lib/libgpm.so

%changelog
* Thu Apr  6 2000 Jakub Jelinek <jakub@redhat.com>
- 1.19.1
- call initgroups in gpm-root before spawning command as user
- make gpm-root work on big endian

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- call ldconfig directly in postun

* Wed Mar 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new libncurses

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.19.0
- fix build on systems that don't have emacs
  (configure built t-mouse* only if emacs was installed)

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- important fix: improperly buildrooted for /usr/share/emacs/site-lisp, fixed.

* Tue Feb 15 2000 Jakub Jelinek <jakub@redhat.com>
- avoid cluttering of syslog with gpm No data messages

* Mon Feb 14 2000 Preston Brown <pbrown@redhat.com>
- disable-paste and mouse-test removed, they seem broken.

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- updated gpm.init to have better shutdown and descriptive messages
- strip lib

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Wed Jan 12 2000 Preston Brown <pbrown@redhat.com>
- 1.18.1.

* Tue Sep 28 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.18, hopefully fixes sparc protocol issues

* Fri Sep 24 1999 Bill Nottingham <notting@redhat.com>
- install-info sucks, and then you die.

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 1.17.9
- the maintainers are taking care of .so version now, removed patch

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- disable-paste need not be setuid root in Red Hat 6.0 (#2654)

* Tue May 18 1999 Michael K. Johnson <johnsonm@redhat.com>
- gpm.init had wrong pidfile name in comments; confused linuxconf

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- make sure all binaries are stripped, make init stuff more chkconfig style
- removed sparc-specific mouse stuff
- bumped libver to 1.17.5
- fixed texinfo source

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Mar  4 1999 Matt Wilson <msw@redhat.com>
- updated to 1.75.5

* Tue Feb 16 1999 Cristian Gafton <gafton@redhat.com>
- avoid using makedev for internal functions (it is a #define in the system
  headers)

* Wed Jan 13 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 1.17.2.

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- enforce the use of -D_GNU_SOURCE so that it will compile on the ARM
- build against glibc 2.1

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- recompiled for manhattan

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 1.13

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added patch from Richard to get things to build on the SPARC

* Tue Oct 28 1997 Donnie Barnes <djb@redhat.com>
- fixed the emacs patch to install the emacs files in the right
  place (hopefully).

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>
- added chkconfig support
- added install-info

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.10 to 1.12
- added status/restart functionality to init script
- added define LIBVER 1.11

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
